Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class Insert

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.Operation
          org.deegree.ogcwebservices.csw.manager.Insert

    public class Insert

extends Operation

An Insert object is a container for one or more records that are to be inserted into the catalogue. The schema of the record(s) must conform to the schema of the information model that the catalogue supports as described using the DescribeRecord operation.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Insert(String handle, List<Element> records)`
`Insert(String handle, List<Element> records, Map<String,Element> extrinsicObjects)`

Method Summary
`Map<String,Element>` | `getExtrinsicObjects()`
`List<Element>` | `getRecords()` returns records to insert

Methods inherited from class org.deegree.ogcwebservices.csw.manager.Operation
`getHandle, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Insert

    public Insert(String handle,
                  List<Element> records)

Parameters:
  `handle` - attribute of the insert.
  `records` - a list containing all (firstlevel) child xml elements beneath the element

### Insert

    public Insert(String handle,
                  List<Element> records,
                  Map<String,Element> extrinsicObjects)

Parameters:
  `handle` - attribute of the insert.
  `records` - a list containing all (firstlevel) child xml elements beneath the element
  `extrinsicObjects` - a mapping of the lid of the values to the rim:ExtrinsicObject w3c-element. They are needed to find the actual extrinsic objects into the multiparts send to the csw.

Method Detail

### getRecords

    public List<Element> getRecords()

  returns records to insert

  Returns:
    records to insert

### getExtrinsicObjects

    public Map<String,Element> getExtrinsicObjects()

  Returns:
    the ebrim extrinsicObjects which should be inserted or an empty map if no ExtrinsicObject should be inserted, or no ebrim is used in this catalogue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org